/*
 * Copyright (c) 2015 ARM Limited. All rights reserved.
 * SPDX-License-Identifier: Apache-2.0
 * Licensed under the Apache License, Version 2.0 (the License); you may
 * not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
#ifndef __SECURITY_H__
#define __SECURITY_H__
 
#include <inttypes.h>
 
#define MBED_DOMAIN "2a7bde8c-76ea-42e0-b202-5d48e76da06e"
#define MBED_ENDPOINT_NAME "59bfc602-7591-4914-b942-6010a1785ee2"
 
const uint8_t SERVER_CERT[] = "-----BEGIN CERTIFICATE-----\r\n"
"MIIBmDCCAT6gAwIBAgIEVUCA0jAKBggqhkjOPQQDAjBLMQswCQYDVQQGEwJGSTEN\r\n"
"MAsGA1UEBwwET3VsdTEMMAoGA1UECgwDQVJNMQwwCgYDVQQLDANJb1QxETAPBgNV\r\n"
"BAMMCEFSTSBtYmVkMB4XDTE1MDQyOTA2NTc0OFoXDTE4MDQyOTA2NTc0OFowSzEL\r\n"
"MAkGA1UEBhMCRkkxDTALBgNVBAcMBE91bHUxDDAKBgNVBAoMA0FSTTEMMAoGA1UE\r\n"
"CwwDSW9UMREwDwYDVQQDDAhBUk0gbWJlZDBZMBMGByqGSM49AgEGCCqGSM49AwEH\r\n"
"A0IABLuAyLSk0mA3awgFR5mw2RHth47tRUO44q/RdzFZnLsAsd18Esxd5LCpcT9w\r\n"
"0tvNfBv4xJxGw0wcYrPDDb8/rjujEDAOMAwGA1UdEwQFMAMBAf8wCgYIKoZIzj0E\r\n"
"AwIDSAAwRQIhAPAonEAkwixlJiyYRQQWpXtkMZax+VlEiS201BG0PpAzAiBh2RsD\r\n"
"NxLKWwf4O7D6JasGBYf9+ZLwl0iaRjTjytO+Kw==\r\n"
"-----END CERTIFICATE-----\r\n";
 
const uint8_t CERT[] = "-----BEGIN CERTIFICATE-----\r\n"
"MIIBzzCCAXOgAwIBAgIEPNG8WzAMBggqhkjOPQQDAgUAMDkxCzAJBgNVBAYTAkZ\r\n"
"JMQwwCgYDVQQKDANBUk0xHDAaBgNVBAMME21iZWQtY29ubmVjdG9yLTIwMTgwHh\r\n"
"cNMTcwMjE1MjAyNzA2WhcNMTgxMjMxMDYwMDAwWjCBoTFSMFAGA1UEAxNJMmE3Y\r\n"
"mRlOGMtNzZlYS00MmUwLWIyMDItNWQ0OGU3NmRhMDZlLzU5YmZjNjAyLTc1OTEt\r\n"
"NDkxNC1iOTQyLTYwMTBhMTc4NWVlMjEMMAoGA1UECxMDQVJNMRIwEAYDVQQKEwl\r\n"
"tYmVkIHVzZXIxDTALBgNVBAcTBE91bHUxDTALBgNVBAgTBE91bHUxCzAJBgNVBA\r\n"
"YTAkZJMFkwEwYHKoZIzj0CAQYIKoZIzj0DAQcDQgAEV9hMW8+N0D18oRfR9eiqe\r\n"
"J/7S9NbxHnkjsOwbXYzSdHN/f+O2K51hD3c1HsGk7mmOqVwgvSQa2Q+dJffT4cz\r\n"
"7TAMBggqhkjOPQQDAgUAA0gAMEUCIG3idEgFuWNqnx1J474mpDpGMMdVMl8illM\r\n"
"wVztPBdcbAiEAtNAsJTLYSZiMmTd8OuCXYKb9MUv87R/wJZf/a4i4+nQ=\r\n"
"-----END CERTIFICATE-----\r\n";
 
const uint8_t KEY[] = "-----BEGIN PRIVATE KEY-----\r\n"
"MIGHAgEAMBMGByqGSM49AgEGCCqGSM49AwEHBG0wawIBAQQgrIyISx70k9vVg1tT\r\n"
"mxB6qBQTLOTnTXlFO7a/WCAvzLyhRANCAARX2Exbz43QPXyhF9H16Kp4n/tL01vE\r\n"
"eeSOw7BtdjNJ0c39/47YrnWEPdzUewaTuaY6pXCC9JBrZD50l99PhzPt\r\n"
"-----END PRIVATE KEY-----\r\n";
 
#endif //__SECURITY_H__